#include<bits/stdc++.h>
using namespace std;
int T=3;
mt19937_64 mt(time(0));
int main(){
	freopen("noodle.in","w",stdout);
	printf("0 %d %llu\n",T,mt());
	while(T--){
		int n=1024,q=100,x=mt()%n+1;
		long long k=400;
		printf("%d %d %d %lld\n",n,q,x,k);
		for(int i=1;i<=n;++i)
			printf("%d%c",mt()%998244353," \n"[i==n]);
	}
	return 0;
}
